
img{
    width: 100%;
}
ul{
    list-style: none;
}

a{
    text-decoration: none;
    color: #000;
}

hr{
    width: 95vw;
    margin: 0 auto;
}


.banner{
    min-height: auto;
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    padding: 30px 0;
    margin-top: 8px;
}

.banner-main-content{
    padding: 0 2rem;
    line-height: 1.7;
}

.banner-main-content h2{
    font-size: 2rem;
    font-family: var(--heading);
}

.banner-main-content h3{
    padding: 1rem 0;
}

.banner-main-content button{
    border: none;
    background: #252525;
    padding: 14px 18px;
    font-size: 1.2rem;
    font-family: 'Montserrat', sans-serif;
    transition: background 1s ease;
}

.banner-main-content button a{
    color: #f3f3f3f3;
    transition: color 1s ease;
}

.banner-main-content button:hover{
    background: #fff;
}

.banner-main-content button:hover a{
    color: #0d0a0b;
}


.current-news-head{
    background: #fff;
    padding: 20px;
    font-size: 12px;
    margin: 20px 0;
}

.current-news-head h3{
    padding: 6px;
    cursor: pointer;
    position: relative;
}

.current-news-head h3:hover::before{
    content: ">> ";
    position: absolute;
    left: -12px;
}

.current-news-head span{
    display: block;
    font-family: var(--heading);
    font-weight: 300;
    text-transform: uppercase;
}

.hot-topic{
    overflow: hidden;
    position: relative;
    width: 100%;
    padding: 12px;
    height: 300px;
}

.hot-topic img{
    display: block;
}

.hot-topic-content{
    position: absolute;
    bottom: 0;
    left: 20px;
    right: 20px;
    padding: 10px 20px;
    line-height: 1.3;
    color: #f3f3f3;
}

.hot-topic h2{
    padding: 10px 0;
    font-size: 18px;
    text-shadow: 0 0 2px #000;
}

.hot-topic h3{
    padding: 10px 0;
    font-size: 16px;
    text-shadow: 0 0 2px #000;
}

.hot-topic p{
    padding: 10px 0;
    font-size: 15px;
    text-shadow: 0 0 2px #000;
    padding: 12px 10px;
}

.hot-topic-content a{
    display: block;
    background: #f3f3f3;
    border: none;
    width: 95px;
    border-radius: 2px;
    text-align: center;
    padding: 7px 10px;
    font-size: 14px;
    margin: 10px 0 10px 10px;
}

.hot-topic-content a:hover{
    text-decoration: underline;
}



main a{
    padding: 15px 0;
    display: block;
    transition: all 0.5s;
}

main span{
    transition: padding-left 0.5s;
}

main a:hover span{
    padding-left: 5px;
}

main a:hover{
    color: #7ac64d;
}



.main-container-left{
    padding: 30px 10px;
}

.main-container-left > h2{
    padding: 15px 0 15px 30px;
}

.main-container-left h3{
    padding: 10px 0;
    font-size: 18px;
    font-family: var(--heading);
}

.main-container-left p{
    font-size: 15px;
    font-weight: 300;
}

.main-container-left article{
    padding: 10px;
}

.container-top-left{
    padding: 15px 30px;
}

.container-bottom-left{
    background: #f3f3f3;
    margin: 15px 30px;
}



.main-container-right{
    padding: 30px 10px;
}

.main-container-right > h2{
    padding: 15px 0 15px 30px;
}

.main-container-right article{
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    padding: 15px 0;
    border-bottom: 1px solid #7ac64d;
}

.main-container-right article:last-child{
    border-bottom: none;
}

.main-container-right img{
    width: 100px;
    height: 100px;
    align-self: center;
}

.main-container-right h4{
    text-align: center;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 12px;
    align-self: center;
}

.main-container-right article h2{
    font-size: 18px;
    padding: 10px 0;
    font-family: var(--heading);
}

.main-container-right article p{
    font-size: 15px;
    font-weight: 300;
}

.main-container-right article div{
    margin-right: 10px;
}




footer{
    background: #252525;
    color: #f3f3f3;
    padding: 30px;
}

footer h2{
    padding: 10px 0;
}

footer p{
    padding: 10px 0;
    line-height: 1.3;
}

.footer-left, 
.footer-right{
    margin: 0 20px;
}

footer > p{
    text-align: center;
    opacity: 0.8;
    margin-top: 20px;
}

.footer-right i{
    font-size: 1.8rem;
    color: #808080;
}

.footer-right input{
    font-size: 18px;
    border: none;
    background: transparent;
    outline: none;
    color: #808080;
    padding-right: 10px;
    width: 100%;
}

.footer-right div{
    display: flex;
    align-items: center;
    justify-content: start;
    width: 200px;
    padding: 10px 0;
    border-bottom: 1.6px solid #808080;
}



@media(max-width: 460px){
    .hot-topic-content h2{
        font-size: 16px;
    }

    .main-container-right article{
        display: block;
    }

    .main-container-right article img{
        display: none;
    }


}

@media(max-width: 500px){
    .main-container-right article{
        grid-template-columns: 1fr 3fr;
        grid-template-rows: 1fr 1fr;
    }

    .main-container-right article h4{
        grid-row: 1/2;
        grid-column: 1/2;
        align-self: flex-start;
    }

    .main-container-right article img{
        grid-row: 2/3;
        grid-column: 1/2;
    }

    .main-container-right article div{
        grid-row: 1/3;
        grid-column: 2/3;
    }
}


@media(min-width: 768px){
    .banner-sub-content{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .container-bottom-left{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
    
}


@media(min-width: 800px){

    .ham-btn, .times-btn{
        display: none!important;
    }

    .navigation-container{
        display: flex;
        background: #252525;
        align-items: center;
        flex-wrap: wrap;
    }

    .top-head{
        flex: 0 0 15%;
    }

    .nav-bar{
        flex: 1 0 auto;
        height: 100%;
        background: transparent;
    }

    .nav-bar nav ul{
        display: flex;
        justify-content: center;
    }
    .nav-bar nav ul li{
        padding-right: 30px;
    }

    .nav-bar nav ul li:hover{
        background: none;
    }


    .social-icons{
        flex: 0 1 30%;
        display: block;
        margin: 0 auto;
    }

    .social-icons .fab{
        color: #fff;
        font-size: 2rem;
    }
    .social-icons ul{
        display: flex;
        justify-content: space-between;
        padding: 0 20px;
    }
    .social-icons ul li{
        padding: 20px;
    }

    .footer-container{
        display: flex;
    }

    .footer-right,
    .footer-left{
        flex: 1;
    }
}

@media(min-width: 992px){
    main{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(min-width: 1080px){
    .banner{
        grid-template-columns: 1fr 2fr;
    }
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
}

.navbar {
    background-color: #303030;
    border-bottom: 5px solid #ff7220;
}

.container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: auto;
    padding: 10px 20px;
}

.menu-icon,
.search-icon {
    font-size: 20px;
    color: #ffffff;
}

.logo a {
    font-size: 57px;
    font-weight: bold;
    color: #bebebe;
    text-decoration: none;
}

.nav-links {
    background-color: #424141;
    padding: 10px 0;
}

.nav-links ul {
    list-style: none;
    display: flex;
    justify-content: center;
}

.nav-links li {
    margin: 0 30px;
}

.nav-links a {
    text-decoration: none;
    color: #ffffff;
    font-weight: bold;
    font-size: 16px;
    transition: color 0.3s;
}

.nav-links a:hover {
    color: #007bff;
}




.ok  {
    background-color: #e7e7e7;
    padding: 10px 0;
}

.ok ul {
    list-style: none;
    display: flex;
    justify-content: auto;
}

.ok li {
    margin: 0 15px;
}

.ok  a {
    text-decoration: none;
    color: #ff0000;
    font-weight: bold;
    font-size: 16px;
    transition: color 0.3s;
}

.ok a:hover {
    color: #007bff;
}


.image-container {
    text-align: center;
}

.image-container img {
    max-width: 100%;    height: auto; 
}
